Skip to content

Query Files

FileQueryResponse Files.Query(FileQueryParams?parameters, CancellationTokencancellationToken = default)
POST/api/v1/beta/files/query

Query files with filtering and pagination. Deprecated: use GET /files.

ParametersExpand Collapse
FileQueryParams parameters
string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
Filter? filter

Body param: Filter parameters for file queries.

string? DataSourceID

Filter by data source ID

formatuuid
string? ExternalFileID

Filter by external file ID

IReadOnlyList<string>? FileIds

Filter by specific file IDs

string? FileName

Filter by file name

Boolean? OnlyManuallyUploaded

Filter only manually uploaded files (data_source_id is null)

string? ProjectID

Filter by project ID

formatuuid
string? orderBy

Body param: A comma-separated list of fields to order by, sorted in ascending order. Use ‘field_name desc’ to specify descending order.

Long? pageSize

Body param: The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

string? pageToken

Body param: A page token, received from a previous list call. Provide this to retrieve the subsequent page.

ReturnsExpand Collapse
class FileQueryResponse:

Paginated list of files.

required IReadOnlyList<Item> Items

The list of items.

required string ID

Unique file identifier

required string Name

File name including extension

maxLength3000
minLength1
required string ProjectID

Project this file belongs to

formatuuid
PresignedUrl? DownloadUrl

Schema for a presigned URL.

required DateTimeOffset ExpiresAt

The time at which the presigned URL expires

formatdate-time
required string Url

A presigned URL for IO operations against a private file

formaturi
minLength1
IReadOnlyDictionary<string, string>? FormFields

Form fields for a presigned POST request

DateTimeOffset? ExpiresAt

When the file expires and may be automatically removed. Null means no expiration.

formatdate-time
string? ExternalFileID

Optional ID for correlating with an external system

string? FileType

File extension (pdf, docx, png, etc.)

maxLength3000
minLength1
DateTimeOffset? LastModifiedAt

When the file was last modified (ISO 8601)

formatdate-time
string? Purpose

How the file will be used: user_data, parse, extract, classify, split, sheet, or agent_app

string? NextPageToken

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Long? TotalSize

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Query Files

FileQueryParams parameters = new();

var response = await client.Files.Query(parameters);

Console.WriteLine(response);
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/